epp_TransferRequest (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_TransferRequest class

### org.openrtk.idl.epp0705

# Class epp_TransferRequest

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_TransferRequest`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransferRequest`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements used in requests to transfer any EPP object. The minimum required data elements are the object's authorization information and one of the transfer operation types: APPROVE, CANCEL, QUERY, REJECT and REQUEST. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_TransferRequest.java,v 1.1 2003/03/20 22:42:19 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:19 $

See Also:
  `epp_DomainTransferReq`, `epp_ContactTransferReq`

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info` The authorization information required to authorize object transfers.
  `epp_TransferOpType` | `m_op` The transfer operation type.

  ## Constructor Summary
  `epp_TransferRequest()` Empty constructor
  `epp_TransferRequest(epp_AuthInfo _m_auth_info, epp_TransferOpType _m_op)` The constructor with initializing variables.

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information
  `epp_TransferOpType` | `getOp()` Accessor method for the transfer operation type
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information
  `void` | `setOp(epp_TransferOpType value)` Accessor method for the transfer operation type
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information required to authorize object transfers.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_op

    public epp_TransferOpType m_op

> The transfer operation type.
> See Also:
>   `setOp(epp_TransferOpType)`, `getOp()`

## Constructor Details

### epp_TransferRequest

    public epp_TransferRequest()

> Empty constructor

### epp_TransferRequest

    public epp_TransferRequest(epp_AuthInfo _m_auth_info,
                               epp_TransferOpType _m_op)

> The constructor with initializing variables.
> Parameters:
>   `_m_auth_info` - The authorization information required to authorize object transfers
>   `_m_op` - The transfer operation type

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information
> Returns:
>   The authorization information
> See Also:
>   `m_auth_info`

### getOp

    public epp_TransferOpType getOp()

> Accessor method for the transfer operation type
> Returns:
>   The transfer operation type
> See Also:
>   `m_op`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information
> Parameters:
>   `value` - The authorization information
> See Also:
>   `m_auth_info`

### setOp

    public void setOp(epp_TransferOpType value)

> Accessor method for the transfer operation type
> Parameters:
>   `value` - The transfer operation type
> See Also:
>   `m_op`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS